import { Provider, SupabaseClient } from '@supabase/supabase-js';
import React from 'react';
import { I18nVariables } from '../../../common/lib/Localization';
import { Appearance, RedirectTo, SocialLayout, ViewType } from '../../types';
export interface Props {
    supabaseClient: SupabaseClient;
    children?: React.ReactNode;
    socialLayout?: SocialLayout;
    providers?: Provider[];
    view?: ViewType;
    redirectTo?: RedirectTo;
    onlyThirdPartyProviders?: boolean;
    magicLink?: boolean;
    /**
     * This will toggle on the dark variation of the theme
     */
    dark?: boolean;
    /**
     * Override the labels and button text
     */
    localization?: {
        lang?: 'en' | 'ja';
        variables?: I18nVariables;
    };
    appearance?: Appearance;
    theme?: 'default' | string;
}
declare function Auth({ supabaseClient, socialLayout, providers, view, redirectTo, onlyThirdPartyProviders, magicLink, appearance, theme, localization, }: Props): JSX.Element | null;
declare namespace Auth {
    var ForgottenPassword: typeof import("./interfaces/ForgottenPassword").ForgottenPassword;
    var UpdatePassword: typeof import("./interfaces/UpdatePassword").UpdatePassword;
    var MagicLink: typeof import("./interfaces/MagicLink").MagicLink;
    var UserContextProvider: (props: import("./UserContext").Props) => JSX.Element;
    var useUser: () => import("./UserContext").AuthSession;
}
export default Auth;
//# sourceMappingURL=Auth.d.ts.map