/// <reference types="react" />
import { CssComponent } from '@stitches/core/types/styled-component';
import { Provider } from '@supabase/supabase-js';
import { I18nVariables } from '../common/lib/Localization';
import { ThemeVariables } from '../common/theming';
export interface AnimationTailwindClasses {
    enter?: string;
    enterFrom?: string;
    enterTo?: string;
    leave?: string;
    leaveFrom?: string;
    leaveTo?: string;
}
export declare type AuthProviders = Provider;
export declare type Localization = I18nVariables;
export declare type SocialLayout = 'horizontal' | 'vertical';
export declare type SocialButtonSize = 'tiny' | 'small' | 'medium' | 'large' | 'xlarge';
export declare type ViewSignIn = 'sign_in';
export declare type ViewSignUp = 'sign_up';
export declare type ViewMagicLink = 'magic_link';
export declare type ViewForgottenPassword = 'forgotten_password';
export declare type ViewUpdatePassword = 'update_password';
export declare type ViewType = ViewSignIn | ViewSignUp | ViewMagicLink | ViewForgottenPassword | ViewUpdatePassword;
export interface ViewsMap {
    [key: string]: ViewType;
}
export interface Theme {
    default: ThemeVariables;
    [key: string]: ThemeVariables;
}
export declare type RedirectTo = undefined | string;
export interface Appearance {
    theme?: Theme;
    extendAppearance?: boolean;
    prependedClassName?: string;
    variables?: {
        default: ThemeVariables;
        [key: string]: ThemeVariables;
    };
    className?: {
        anchor?: string | CssComponent;
        button?: string | CssComponent;
        container?: string | CssComponent;
        divider?: string | CssComponent;
        input?: string | CssComponent;
        label?: string | CssComponent;
        loader?: string | CssComponent;
        message?: string | CssComponent;
    };
    style?: {
        anchor?: React.CSSProperties;
        button?: React.CSSProperties;
        container?: React.CSSProperties;
        divider?: React.CSSProperties;
        input?: React.CSSProperties;
        label?: React.CSSProperties;
        loader?: React.CSSProperties;
        message?: React.CSSProperties;
    };
}
//# sourceMappingURL=types.d.ts.map